Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.admin.listener
Class ContextStorageTaskEventListener

    java.lang.Object
      org.jbpm.services.task.events.DefaultTaskEventListener
          org.jbpm.services.task.admin.listener.ContextStorageTaskEventListener

All Implemented Interfaces:
  EventListener, TaskLifeCycleEventListener

    public class ContextStorageTaskEventListener

extends DefaultTaskEventListener

Listener responsible for recording tasks that are in the final state (complete, exit, skip, etc) within given transaction so they can be found and used as part of the clean up runtine without causing issues with too early flush. Especially important when subprocesses (reusable) are involved.

Constructor Summary
`ContextStorageTaskEventListener()`

Method Summary
`void` | `beforeTaskCompletedEvent(TaskEvent event)`
`void` | `beforeTaskExitedEvent(TaskEvent event)`
`void` | `beforeTaskFailedEvent(TaskEvent event)`
`void` | `beforeTaskSkippedEvent(TaskEvent event)`
`void` | `beforeTaskSuspendedEvent(TaskEvent event)`

Methods inherited from class org.jbpm.services.task.events.DefaultTaskEventListener
`afterTaskActivatedEvent, afterTaskAddedEvent, afterTaskClaimedEvent, afterTaskCompletedEvent, afterTaskDelegatedEvent, afterTaskExitedEvent, afterTaskFailedEvent, afterTaskForwardedEvent, afterTaskNominatedEvent, afterTaskReleasedEvent, afterTaskResumedEvent, afterTaskSkippedEvent, afterTaskStartedEvent, afterTaskStoppedEvent, afterTaskSuspendedEvent, beforeTaskActivatedEvent, beforeTaskAddedEvent, beforeTaskClaimedEvent, beforeTaskDelegatedEvent, beforeTaskForwardedEvent, beforeTaskNominatedEvent, beforeTaskReleasedEvent, beforeTaskResumedEvent, beforeTaskStartedEvent, beforeTaskStoppedEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextStorageTaskEventListener

    public ContextStorageTaskEventListener()

Method Detail

### beforeTaskSkippedEvent

    public void beforeTaskSkippedEvent(TaskEvent event)

  Specified by:
    `beforeTaskSkippedEvent` in interface `TaskLifeCycleEventListener`
  Overrides:
    `beforeTaskSkippedEvent` in class `DefaultTaskEventListener`

### beforeTaskCompletedEvent

    public void beforeTaskCompletedEvent(TaskEvent event)

  Specified by:
    `beforeTaskCompletedEvent` in interface `TaskLifeCycleEventListener`
  Overrides:
    `beforeTaskCompletedEvent` in class `DefaultTaskEventListener`

### beforeTaskFailedEvent

    public void beforeTaskFailedEvent(TaskEvent event)

  Specified by:
    `beforeTaskFailedEvent` in interface `TaskLifeCycleEventListener`
  Overrides:
    `beforeTaskFailedEvent` in class `DefaultTaskEventListener`

### beforeTaskExitedEvent

    public void beforeTaskExitedEvent(TaskEvent event)

  Specified by:
    `beforeTaskExitedEvent` in interface `TaskLifeCycleEventListener`
  Overrides:
    `beforeTaskExitedEvent` in class `DefaultTaskEventListener`

### beforeTaskSuspendedEvent

    public void beforeTaskSuspendedEvent(TaskEvent event)

  Specified by:
    `beforeTaskSuspendedEvent` in interface `TaskLifeCycleEventListener`
  Overrides:
    `beforeTaskSuspendedEvent` in class `DefaultTaskEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.